/**
  ******************************************************************************
  * @file    font24.c
  * @author  MCD Application Team
  * @version V1.0.0
  * @date    18-February-2014
  * @brief   This file provides text font24 for STM32xx-EVAL's LCD driver.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; COPYRIGHT(c) 2014 STMicroelectronics</center></h2>
  *
  * Redistribution and use in source and binary forms, with or without modification,
  * are permitted provided that the following conditions are met:
  *   1. Redistributions of source code must retain the above copyright notice,
  *      this list of conditions and the following disclaimer.
  *   2. Redistributions in binary form must reproduce the above copyright notice,
  *      this list of conditions and the following disclaimer in the documentation
  *      and/or other materials provided with the distribution.
  *   3. Neither the name of STMicroelectronics nor the names of its contributors
  *      may be used to endorse or promote products derived from this software
  *      without specific prior written permission.
  *
  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
  * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
  * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
  * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
  * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  ******************************************************************************
  */

/* Includes ------------------------------------------------------------------*/
#include "fonts.h"
#include <pgmspace.h>

const uint8_t Font24_Table [] PROGMEM =
{
	// @0 ' ' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @72 '!' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x03,0x80,0x00, //      ###
	0x03,0x80,0x00, //      ###
	0x03,0x80,0x00, //      ###
	0x03,0x80,0x00, //      ###
	0x03,0x80,0x00, //      ###
	0x03,0x80,0x00, //      ###
	0x03,0x80,0x00, //      ###
	0x03,0x80,0x00, //      ###
	0x03,0x80,0x00, //      ###
	0x01,0x00,0x00, //       #
	0x01,0x00,0x00, //       #
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x03,0x80,0x00, //      ###
	0x03,0x80,0x00, //      ###
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @144 '"' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x0e,0x70,0x00, //    ###  ###
	0x0e,0x70,0x00, //    ###  ###
	0x0e,0x70,0x00, //    ###  ###
	0x04,0x20,0x00, //     #    #
	0x04,0x20,0x00, //     #    #
	0x04,0x20,0x00, //     #    #
	0x04,0x20,0x00, //     #    #
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @216 '#' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x06,0x60,0x00, //     ##  ##
	0x06,0x60,0x00, //     ##  ##
	0x06,0x60,0x00, //     ##  ##
	0x06,0x60,0x00, //     ##  ##
	0x06,0x60,0x00, //     ##  ##
	0x3f,0xf8,0x00, //  ###########
	0x3f,0xf8,0x00, //  ###########
	0x06,0x60,0x00, //     ##  ##
	0x0c,0xc0,0x00, //    ##  ##
	0x3f,0xf8,0x00, //  ###########
	0x3f,0xf8,0x00, //  ###########
	0x0c,0xc0,0x00, //    ##  ##
	0x0c,0xc0,0x00, //    ##  ##
	0x0c,0xc0,0x00, //    ##  ##
	0x0c,0xc0,0x00, //    ##  ##
	0x0c,0xc0,0x00, //    ##  ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @288 '$' (17 pixels wide)
	0x00,0x00,0x00, //
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x07,0xb0,0x00, //     #### ##
	0x0f,0xf0,0x00, //    ########
	0x18,0x70,0x00, //   ##    ###
	0x18,0x70,0x00, //   ##    ###
	0x1c,0x00,0x00, //   ###
	0x0f,0x80,0x00, //    #####
	0x07,0xe0,0x00, //     ######
	0x00,0xf0,0x00, //        ####
	0x18,0x30,0x00, //   ##     ##
	0x1c,0x30,0x00, //   ###    ##
	0x1c,0x70,0x00, //   ###   ###
	0x1f,0xe0,0x00, //   ########
	0x1b,0xc0,0x00, //   ## ####
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @360 '%' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x07,0x80,0x00, //     ####
	0x0f,0xc0,0x00, //    ######
	0x1c,0xe0,0x00, //   ###  ###
	0x18,0x60,0x00, //   ##    ##
	0x18,0x60,0x00, //   ##    ##
	0x1c,0xe0,0x00, //   ###  ###
	0x0f,0xf8,0x00, //    #########
	0x07,0xe0,0x00, //     ######
	0x1f,0xf0,0x00, //   #########
	0x07,0x38,0x00, //     ###  ###
	0x06,0x18,0x00, //     ##    ##
	0x06,0x18,0x00, //     ##    ##
	0x07,0x38,0x00, //     ###  ###
	0x03,0xf0,0x00, //      ######
	0x01,0xe0,0x00, //       ####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @432 '&' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x03,0xf0,0x00, //      ######
	0x07,0xf0,0x00, //     #######
	0x0c,0x60,0x00, //    ##   ##
	0x0c,0x00,0x00, //    ##
	0x0c,0x00,0x00, //    ##
	0x06,0x00,0x00, //     ##
	0x07,0x00,0x00, //     ###
	0x0f,0x9c,0x00, //    #####  ###
	0x1d,0xfc,0x00, //   ### #######
	0x18,0xf0,0x00, //   ##   ####
	0x18,0x70,0x00, //   ##    ###
	0x0f,0xfc,0x00, //    ##########
	0x07,0xdc,0x00, //     ##### ###
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @504 ''' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x03,0x80,0x00, //      ###
	0x03,0x80,0x00, //      ###
	0x03,0x80,0x00, //      ###
	0x01,0x00,0x00, //       #
	0x01,0x00,0x00, //       #
	0x01,0x00,0x00, //       #
	0x01,0x00,0x00, //       #
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @576 '(' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x18,0x00, //           ##
	0x00,0x38,0x00, //          ###
	0x00,0x70,0x00, //         ###
	0x00,0xf0,0x00, //        ####
	0x00,0xe0,0x00, //        ###
	0x00,0xe0,0x00, //        ###
	0x01,0xc0,0x00, //       ###
	0x01,0xc0,0x00, //       ###
	0x01,0xc0,0x00, //       ###
	0x01,0xc0,0x00, //       ###
	0x01,0xc0,0x00, //       ###
	0x01,0xc0,0x00, //       ###
	0x00,0xe0,0x00, //        ###
	0x00,0xe0,0x00, //        ###
	0x00,0x70,0x00, //         ###
	0x00,0x70,0x00, //         ###
	0x00,0x38,0x00, //          ###
	0x00,0x18,0x00, //           ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @648 ')' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x18,0x00,0x00, //   ##
	0x1c,0x00,0x00, //   ###
	0x0e,0x00,0x00, //    ###
	0x0e,0x00,0x00, //    ###
	0x07,0x00,0x00, //     ###
	0x07,0x00,0x00, //     ###
	0x03,0x80,0x00, //      ###
	0x03,0x80,0x00, //      ###
	0x03,0x80,0x00, //      ###
	0x03,0x80,0x00, //      ###
	0x03,0x80,0x00, //      ###
	0x03,0x80,0x00, //      ###
	0x07,0x00,0x00, //     ###
	0x07,0x00,0x00, //     ###
	0x0f,0x00,0x00, //    ####
	0x0e,0x00,0x00, //    ###
	0x1c,0x00,0x00, //   ###
	0x18,0x00,0x00, //   ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @720 '*' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x1d,0xb8,0x00, //   ### ## ###
	0x1f,0xf8,0x00, //   ##########
	0x07,0xe0,0x00, //     ######
	0x03,0xc0,0x00, //      ####
	0x03,0xc0,0x00, //      ####
	0x06,0x60,0x00, //     ##  ##
	0x06,0x60,0x00, //     ##  ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @792 '+' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x3f,0xfc,0x00, //  ############
	0x3f,0xfc,0x00, //  ############
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @864 ',' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0xe0,0x00, //        ###
	0x00,0xc0,0x00, //        ##
	0x01,0xc0,0x00, //       ###
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x03,0x00,0x00, //      ##
	0x03,0x00,0x00, //      ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @936 '-' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x1f,0xf8,0x00, //   ##########
	0x1f,0xf8,0x00, //   ##########
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @1008 '.' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x03,0xc0,0x00, //      ####
	0x03,0xc0,0x00, //      ####
	0x03,0xc0,0x00, //      ####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @1080 '/' (17 pixels wide)
	0x00,0x18,0x00, //           ##
	0x00,0x18,0x00, //           ##
	0x00,0x38,0x00, //          ###
	0x00,0x30,0x00, //          ##
	0x00,0x70,0x00, //         ###
	0x00,0x60,0x00, //         ##
	0x00,0x60,0x00, //         ##
	0x00,0xc0,0x00, //        ##
	0x00,0xc0,0x00, //        ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x03,0x00,0x00, //      ##
	0x03,0x00,0x00, //      ##
	0x06,0x00,0x00, //     ##
	0x06,0x00,0x00, //     ##
	0x0e,0x00,0x00, //    ###
	0x0c,0x00,0x00, //    ##
	0x1c,0x00,0x00, //   ###
	0x18,0x00,0x00, //   ##
	0x18,0x00,0x00, //   ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @1152 '0' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x03,0xc0,0x00, //      ####
	0x07,0xe0,0x00, //     ######
	0x0c,0x30,0x00, //    ##    ##
	0x0c,0x30,0x00, //    ##    ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x0c,0x30,0x00, //    ##    ##
	0x0c,0x30,0x00, //    ##    ##
	0x07,0xe0,0x00, //     ######
	0x03,0xc0,0x00, //      ####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @1224 '1' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x80,0x00, //        #
	0x07,0x80,0x00, //     ####
	0x1f,0x80,0x00, //   ######
	0x1d,0x80,0x00, //   ### ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x1f,0xf8,0x00, //   ##########
	0x1f,0xf8,0x00, //   ##########
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @1296 '2' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x07,0xc0,0x00, //     #####
	0x1f,0xf0,0x00, //   #########
	0x38,0x30,0x00, //  ###     ##
	0x30,0x18,0x00, //  ##       ##
	0x30,0x18,0x00, //  ##       ##
	0x00,0x18,0x00, //           ##
	0x00,0x30,0x00, //          ##
	0x00,0x60,0x00, //         ##
	0x01,0xc0,0x00, //       ###
	0x03,0x80,0x00, //      ###
	0x06,0x00,0x00, //     ##
	0x0c,0x00,0x00, //    ##
	0x18,0x00,0x00, //   ##
	0x3f,0xf8,0x00, //  ###########
	0x3f,0xf8,0x00, //  ###########
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @1368 '3' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x03,0xc0,0x00, //      ####
	0x0f,0xe0,0x00, //    #######
	0x0c,0x70,0x00, //    ##   ###
	0x00,0x30,0x00, //          ##
	0x00,0x30,0x00, //          ##
	0x00,0x60,0x00, //         ##
	0x03,0xc0,0x00, //      ####
	0x03,0xe0,0x00, //      #####
	0x00,0x70,0x00, //         ###
	0x00,0x18,0x00, //           ##
	0x00,0x18,0x00, //           ##
	0x00,0x18,0x00, //           ##
	0x18,0x38,0x00, //   ##     ###
	0x1f,0xf0,0x00, //   #########
	0x0f,0xc0,0x00, //    ######
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @1440 '4' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0xe0,0x00, //        ###
	0x01,0xe0,0x00, //       ####
	0x01,0xe0,0x00, //       ####
	0x03,0x60,0x00, //      ## ##
	0x06,0x60,0x00, //     ##  ##
	0x06,0x60,0x00, //     ##  ##
	0x0c,0x60,0x00, //    ##   ##
	0x0c,0x60,0x00, //    ##   ##
	0x18,0x60,0x00, //   ##    ##
	0x30,0x60,0x00, //  ##     ##
	0x3f,0xf8,0x00, //  ###########
	0x3f,0xf8,0x00, //  ###########
	0x00,0x60,0x00, //         ##
	0x03,0xf8,0x00, //      #######
	0x03,0xf8,0x00, //      #######
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @1512 '5' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x1f,0xf0,0x00, //   #########
	0x1f,0xf0,0x00, //   #########
	0x18,0x00,0x00, //   ##
	0x18,0x00,0x00, //   ##
	0x18,0x00,0x00, //   ##
	0x1b,0xc0,0x00, //   ## ####
	0x1f,0xf0,0x00, //   #########
	0x1c,0x30,0x00, //   ###    ##
	0x00,0x18,0x00, //           ##
	0x00,0x18,0x00, //           ##
	0x00,0x18,0x00, //           ##
	0x00,0x18,0x00, //           ##
	0x30,0x30,0x00, //  ##      ##
	0x3f,0xf0,0x00, //  ##########
	0x0f,0xc0,0x00, //    ######
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @1584 '6' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0xf8,0x00, //        #####
	0x03,0xf8,0x00, //      #######
	0x07,0x00,0x00, //     ###
	0x0e,0x00,0x00, //    ###
	0x0c,0x00,0x00, //    ##
	0x18,0x00,0x00, //   ##
	0x1b,0xc0,0x00, //   ## ####
	0x1f,0xf0,0x00, //   #########
	0x1c,0x30,0x00, //   ###    ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x0c,0x38,0x00, //    ##    ###
	0x0f,0xf0,0x00, //    ########
	0x03,0xe0,0x00, //      #####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @1656 '7' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x1f,0xf8,0x00, //   ##########
	0x1f,0xf8,0x00, //   ##########
	0x18,0x18,0x00, //   ##      ##
	0x18,0x38,0x00, //   ##     ###
	0x00,0x30,0x00, //          ##
	0x00,0x30,0x00, //          ##
	0x00,0x70,0x00, //         ###
	0x00,0x60,0x00, //         ##
	0x00,0x60,0x00, //         ##
	0x00,0xe0,0x00, //        ###
	0x00,0xc0,0x00, //        ##
	0x00,0xc0,0x00, //        ##
	0x01,0xc0,0x00, //       ###
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @1728 '8' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x07,0xe0,0x00, //     ######
	0x0f,0xf0,0x00, //    ########
	0x1c,0x38,0x00, //   ###    ###
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x0c,0x30,0x00, //    ##    ##
	0x07,0xe0,0x00, //     ######
	0x07,0xe0,0x00, //     ######
	0x0c,0x30,0x00, //    ##    ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x1c,0x38,0x00, //   ###    ###
	0x0f,0xf0,0x00, //    ########
	0x07,0xe0,0x00, //     ######
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @1800 '9' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x07,0xc0,0x00, //     #####
	0x0f,0xf0,0x00, //    ########
	0x1c,0x30,0x00, //   ###    ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x0c,0x38,0x00, //    ##    ###
	0x0f,0xf8,0x00, //    #########
	0x03,0xd8,0x00, //      #### ##
	0x00,0x18,0x00, //           ##
	0x00,0x30,0x00, //          ##
	0x00,0x70,0x00, //         ###
	0x00,0xe0,0x00, //        ###
	0x1f,0xc0,0x00, //   #######
	0x1f,0x00,0x00, //   #####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @1872 ':' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x03,0xc0,0x00, //      ####
	0x03,0xc0,0x00, //      ####
	0x03,0xc0,0x00, //      ####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x03,0xc0,0x00, //      ####
	0x03,0xc0,0x00, //      ####
	0x03,0xc0,0x00, //      ####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @1944 ';' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0xf0,0x00, //        ####
	0x00,0xf0,0x00, //        ####
	0x00,0xf0,0x00, //        ####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0xe0,0x00, //        ###
	0x01,0xc0,0x00, //       ###
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x03,0x00,0x00, //      ##
	0x02,0x00,0x00, //      #
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @2016 '<' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x1c,0x00, //           ###
	0x00,0x3c,0x00, //          ####
	0x00,0xf0,0x00, //        ####
	0x03,0xc0,0x00, //      ####
	0x0f,0x00,0x00, //    ####
	0x3c,0x00,0x00, //  ####
	0xf0,0x00,0x00, //####
	0x3c,0x00,0x00, //  ####
	0x0f,0x00,0x00, //    ####
	0x03,0xc0,0x00, //      ####
	0x00,0xf0,0x00, //        ####
	0x00,0x3c,0x00, //          ####
	0x00,0x1c,0x00, //           ###
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @2088 '=' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x7f,0xfc,0x00, // #############
	0x7f,0xfc,0x00, // #############
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x7f,0xfc,0x00, // #############
	0x7f,0xfc,0x00, // #############
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @2160 '>' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x70,0x00,0x00, // ###
	0x78,0x00,0x00, // ####
	0x1e,0x00,0x00, //   ####
	0x07,0x80,0x00, //     ####
	0x01,0xe0,0x00, //       ####
	0x00,0x78,0x00, //         ####
	0x00,0x1e,0x00, //           ####
	0x00,0x78,0x00, //         ####
	0x01,0xe0,0x00, //       ####
	0x07,0x80,0x00, //     ####
	0x1e,0x00,0x00, //   ####
	0x78,0x00,0x00, // ####
	0x70,0x00,0x00, // ###
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @2232 '?' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x07,0xc0,0x00, //     #####
	0x0f,0xe0,0x00, //    #######
	0x18,0x70,0x00, //   ##    ###
	0x18,0x30,0x00, //   ##     ##
	0x18,0x30,0x00, //   ##     ##
	0x00,0x70,0x00, //         ###
	0x00,0xe0,0x00, //        ###
	0x03,0xc0,0x00, //      ####
	0x03,0x80,0x00, //      ###
	0x03,0x00,0x00, //      ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x07,0x00,0x00, //     ###
	0x07,0x00,0x00, //     ###
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @2304 '@' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x03,0xe0,0x00, //      #####
	0x07,0xf0,0x00, //     #######
	0x0e,0x38,0x00, //    ###   ###
	0x0c,0x18,0x00, //    ##     ##
	0x18,0x78,0x00, //   ##    ####
	0x18,0xf8,0x00, //   ##   #####
	0x19,0xd8,0x00, //   ##  ### ##
	0x19,0x98,0x00, //   ##  ##  ##
	0x19,0x98,0x00, //   ##  ##  ##
	0x19,0x98,0x00, //   ##  ##  ##
	0x18,0xf8,0x00, //   ##   #####
	0x18,0x78,0x00, //   ##    ####
	0x18,0x00,0x00, //   ##
	0x0c,0x00,0x00, //    ##
	0x0e,0x18,0x00, //    ###    ##
	0x07,0xf8,0x00, //     ########
	0x03,0xe0,0x00, //      #####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @2376 'A' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x1f,0x80,0x00, //   ######
	0x1f,0xc0,0x00, //   #######
	0x01,0xc0,0x00, //       ###
	0x03,0x60,0x00, //      ## ##
	0x03,0x60,0x00, //      ## ##
	0x06,0x30,0x00, //     ##   ##
	0x06,0x30,0x00, //     ##   ##
	0x0c,0x30,0x00, //    ##    ##
	0x0f,0xf8,0x00, //    #########
	0x1f,0xf8,0x00, //   ##########
	0x18,0x0c,0x00, //   ##       ##
	0x30,0x0c,0x00, //  ##        ##
	0xfc,0x7f,0x00, //######   #######
	0xfc,0x7f,0x00, //######   #######
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @2448 'B' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x7f,0xe0,0x00, // ##########
	0x7f,0xf0,0x00, // ###########
	0x18,0x38,0x00, //   ##     ###
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x38,0x00, //   ##     ###
	0x1f,0xf0,0x00, //   #########
	0x1f,0xf8,0x00, //   ##########
	0x18,0x1c,0x00, //   ##      ###
	0x18,0x0c,0x00, //   ##       ##
	0x18,0x0c,0x00, //   ##       ##
	0x18,0x0c,0x00, //   ##       ##
	0x7f,0xf8,0x00, // ############
	0x7f,0xf0,0x00, // ###########
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @2520 'C' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x03,0xec,0x00, //      ##### ##
	0x0f,0xfc,0x00, //    ##########
	0x1c,0x1c,0x00, //   ###     ###
	0x18,0x0c,0x00, //   ##       ##
	0x30,0x0c,0x00, //  ##        ##
	0x30,0x00,0x00, //  ##
	0x30,0x00,0x00, //  ##
	0x30,0x00,0x00, //  ##
	0x30,0x00,0x00, //  ##
	0x30,0x00,0x00, //  ##
	0x18,0x0c,0x00, //   ##       ##
	0x1c,0x1c,0x00, //   ###     ###
	0x0f,0xf8,0x00, //    #########
	0x03,0xf0,0x00, //      ######
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @2592 'D' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x7f,0xc0,0x00, // #########
	0x7f,0xf0,0x00, // ###########
	0x18,0x38,0x00, //   ##     ###
	0x18,0x18,0x00, //   ##      ##
	0x18,0x0c,0x00, //   ##       ##
	0x18,0x0c,0x00, //   ##       ##
	0x18,0x0c,0x00, //   ##       ##
	0x18,0x0c,0x00, //   ##       ##
	0x18,0x0c,0x00, //   ##       ##
	0x18,0x0c,0x00, //   ##       ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x38,0x00, //   ##     ###
	0x7f,0xf0,0x00, // ###########
	0x7f,0xe0,0x00, // ##########
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @2664 'E' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x7f,0xf8,0x00, // ############
	0x7f,0xf8,0x00, // ############
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x19,0x98,0x00, //   ##  ##  ##
	0x19,0x80,0x00, //   ##  ##
	0x1f,0x80,0x00, //   ######
	0x1f,0x80,0x00, //   ######
	0x19,0x80,0x00, //   ##  ##
	0x19,0x98,0x00, //   ##  ##  ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x7f,0xf8,0x00, // ############
	0x7f,0xf8,0x00, // ############
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @2736 'F' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x3f,0xfc,0x00, //  ############
	0x3f,0xfc,0x00, //  ############
	0x0c,0x0c,0x00, //    ##      ##
	0x0c,0x0c,0x00, //    ##      ##
	0x0c,0xcc,0x00, //    ##  ##  ##
	0x0c,0xc0,0x00, //    ##  ##
	0x0f,0xc0,0x00, //    ######
	0x0f,0xc0,0x00, //    ######
	0x0c,0xc0,0x00, //    ##  ##
	0x0c,0xc0,0x00, //    ##  ##
	0x0c,0x00,0x00, //    ##
	0x0c,0x00,0x00, //    ##
	0x3f,0xc0,0x00, //  ########
	0x3f,0xc0,0x00, //  ########
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @2808 'G' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x03,0xec,0x00, //      ##### ##
	0x0f,0xfc,0x00, //    ##########
	0x1c,0x1c,0x00, //   ###     ###
	0x18,0x0c,0x00, //   ##       ##
	0x30,0x0c,0x00, //  ##        ##
	0x30,0x00,0x00, //  ##
	0x30,0x00,0x00, //  ##
	0x30,0xfe,0x00, //  ##    #######
	0x30,0xfe,0x00, //  ##    #######
	0x30,0x0c,0x00, //  ##        ##
	0x38,0x0c,0x00, //  ###       ##
	0x1c,0x1c,0x00, //   ###     ###
	0x0f,0xfc,0x00, //    ##########
	0x03,0xf0,0x00, //      ######
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @2880 'H' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x7e,0x7e,0x00, // ######  ######
	0x7e,0x7e,0x00, // ######  ######
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x1f,0xf8,0x00, //   ##########
	0x1f,0xf8,0x00, //   ##########
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x7e,0x7e,0x00, // ######  ######
	0x7e,0x7e,0x00, // ######  ######
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @2952 'I' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x1f,0xf8,0x00, //   ##########
	0x1f,0xf8,0x00, //   ##########
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x1f,0xf8,0x00, //   ##########
	0x1f,0xf8,0x00, //   ##########
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @3024 'J' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x07,0xfe,0x00, //     ##########
	0x07,0xfe,0x00, //     ##########
	0x00,0x30,0x00, //          ##
	0x00,0x30,0x00, //          ##
	0x00,0x30,0x00, //          ##
	0x00,0x30,0x00, //          ##
	0x00,0x30,0x00, //          ##
	0x30,0x30,0x00, //  ##      ##
	0x30,0x30,0x00, //  ##      ##
	0x30,0x30,0x00, //  ##      ##
	0x30,0x30,0x00, //  ##      ##
	0x30,0x60,0x00, //  ##     ##
	0x3f,0xe0,0x00, //  #########
	0x0f,0x80,0x00, //    #####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @3096 'K' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x7f,0x3e,0x00, // #######  #####
	0x7f,0x3e,0x00, // #######  #####
	0x18,0x30,0x00, //   ##     ##
	0x18,0x60,0x00, //   ##    ##
	0x18,0xc0,0x00, //   ##   ##
	0x19,0x80,0x00, //   ##  ##
	0x1b,0x80,0x00, //   ## ###
	0x1f,0xc0,0x00, //   #######
	0x1c,0xe0,0x00, //   ###  ###
	0x18,0x70,0x00, //   ##    ###
	0x18,0x30,0x00, //   ##     ##
	0x18,0x38,0x00, //   ##     ###
	0x7f,0x1f,0x00, // #######   #####
	0x7f,0x1f,0x00, // #######   #####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @3168 'L' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x7f,0x80,0x00, // ########
	0x7f,0x80,0x00, // ########
	0x0c,0x00,0x00, //    ##
	0x0c,0x00,0x00, //    ##
	0x0c,0x00,0x00, //    ##
	0x0c,0x00,0x00, //    ##
	0x0c,0x00,0x00, //    ##
	0x0c,0x00,0x00, //    ##
	0x0c,0x0c,0x00, //    ##      ##
	0x0c,0x0c,0x00, //    ##      ##
	0x0c,0x0c,0x00, //    ##      ##
	0x0c,0x0c,0x00, //    ##      ##
	0x7f,0xfc,0x00, // #############
	0x7f,0xfc,0x00, // #############
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @3240 'M' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0xf0,0x0f,0x00, //####        ####
	0xf8,0x1f,0x00, //#####      #####
	0x38,0x1c,0x00, //  ###      ###
	0x3c,0x3c,0x00, //  ####    ####
	0x3c,0x3c,0x00, //  ####    ####
	0x36,0x6c,0x00, //  ## ##  ## ##
	0x36,0x6c,0x00, //  ## ##  ## ##
	0x33,0xcc,0x00, //  ##  ####  ##
	0x33,0xcc,0x00, //  ##  ####  ##
	0x31,0x8c,0x00, //  ##   ##   ##
	0x30,0x0c,0x00, //  ##        ##
	0x30,0x0c,0x00, //  ##        ##
	0xfe,0x7f,0x00, //#######  #######
	0xfe,0x7f,0x00, //#######  #######
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @3312 'N' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x78,0xfe,0x00, // ####   #######
	0x78,0xfe,0x00, // ####   #######
	0x1c,0x18,0x00, //   ###     ##
	0x1e,0x18,0x00, //   ####    ##
	0x1f,0x18,0x00, //   #####   ##
	0x1b,0x18,0x00, //   ## ##   ##
	0x1b,0x98,0x00, //   ## ###  ##
	0x19,0xd8,0x00, //   ##  ### ##
	0x18,0xd8,0x00, //   ##   ## ##
	0x18,0xf8,0x00, //   ##   #####
	0x18,0x78,0x00, //   ##    ####
	0x18,0x38,0x00, //   ##     ###
	0x7f,0x18,0x00, // #######   ##
	0x7f,0x18,0x00, // #######   ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @3384 'O' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x03,0xc0,0x00, //      ####
	0x0f,0xf0,0x00, //    ########
	0x1c,0x38,0x00, //   ###    ###
	0x18,0x18,0x00, //   ##      ##
	0x38,0x1c,0x00, //  ###      ###
	0x30,0x0c,0x00, //  ##        ##
	0x30,0x0c,0x00, //  ##        ##
	0x30,0x0c,0x00, //  ##        ##
	0x30,0x0c,0x00, //  ##        ##
	0x38,0x1c,0x00, //  ###      ###
	0x18,0x18,0x00, //   ##      ##
	0x1c,0x38,0x00, //   ###    ###
	0x0f,0xf0,0x00, //    ########
	0x03,0xc0,0x00, //      ####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @3456 'P' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x3f,0xf0,0x00, //  ##########
	0x3f,0xf8,0x00, //  ###########
	0x0c,0x1c,0x00, //    ##     ###
	0x0c,0x0c,0x00, //    ##      ##
	0x0c,0x0c,0x00, //    ##      ##
	0x0c,0x0c,0x00, //    ##      ##
	0x0c,0x18,0x00, //    ##     ##
	0x0f,0xf8,0x00, //    #########
	0x0f,0xe0,0x00, //    #######
	0x0c,0x00,0x00, //    ##
	0x0c,0x00,0x00, //    ##
	0x0c,0x00,0x00, //    ##
	0x3f,0xc0,0x00, //  ########
	0x3f,0xc0,0x00, //  ########
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @3528 'Q' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x03,0xc0,0x00, //      ####
	0x0f,0xf0,0x00, //    ########
	0x1c,0x38,0x00, //   ###    ###
	0x18,0x18,0x00, //   ##      ##
	0x38,0x1c,0x00, //  ###      ###
	0x30,0x0c,0x00, //  ##        ##
	0x30,0x0c,0x00, //  ##        ##
	0x30,0x0c,0x00, //  ##        ##
	0x30,0x0c,0x00, //  ##        ##
	0x38,0x1c,0x00, //  ###      ###
	0x18,0x18,0x00, //   ##      ##
	0x1c,0x38,0x00, //   ###    ###
	0x0f,0xf0,0x00, //    ########
	0x07,0xc0,0x00, //     #####
	0x07,0xcc,0x00, //     #####  ##
	0x0f,0xfc,0x00, //    ##########
	0x0c,0x38,0x00, //    ##    ###
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @3600 'R' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x7f,0xe0,0x00, // ##########
	0x7f,0xf0,0x00, // ###########
	0x18,0x38,0x00, //   ##     ###
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x38,0x00, //   ##     ###
	0x1f,0xf0,0x00, //   #########
	0x1f,0xc0,0x00, //   #######
	0x18,0xe0,0x00, //   ##   ###
	0x18,0x70,0x00, //   ##    ###
	0x18,0x30,0x00, //   ##     ##
	0x18,0x38,0x00, //   ##     ###
	0x7f,0x1e,0x00, // #######   ####
	0x7f,0x0e,0x00, // #######    ###
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @3672 'S' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x07,0xd8,0x00, //     ##### ##
	0x0f,0xf8,0x00, //    #########
	0x1c,0x38,0x00, //   ###    ###
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x1e,0x00,0x00, //   ####
	0x0f,0xc0,0x00, //    ######
	0x03,0xf0,0x00, //      ######
	0x00,0x78,0x00, //         ####
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x1c,0x38,0x00, //   ###    ###
	0x1f,0xf0,0x00, //   #########
	0x1b,0xe0,0x00, //   ## #####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @3744 'T' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x3f,0xfc,0x00, //  ############
	0x3f,0xfc,0x00, //  ############
	0x31,0x8c,0x00, //  ##   ##   ##
	0x31,0x8c,0x00, //  ##   ##   ##
	0x31,0x8c,0x00, //  ##   ##   ##
	0x31,0x8c,0x00, //  ##   ##   ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x0f,0xf0,0x00, //    ########
	0x0f,0xf0,0x00, //    ########
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @3816 'U' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x7e,0x7e,0x00, // ######  ######
	0x7e,0x7e,0x00, // ######  ######
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x0c,0x30,0x00, //    ##    ##
	0x0f,0xf0,0x00, //    ########
	0x03,0xc0,0x00, //      ####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @3888 'V' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x7f,0x7f,0x00, // ####### #######
	0x7f,0x7f,0x00, // ####### #######
	0x18,0x0c,0x00, //   ##       ##
	0x0c,0x18,0x00, //    ##     ##
	0x0c,0x18,0x00, //    ##     ##
	0x0c,0x18,0x00, //    ##     ##
	0x06,0x30,0x00, //     ##   ##
	0x06,0x30,0x00, //     ##   ##
	0x03,0x60,0x00, //      ## ##
	0x03,0x60,0x00, //      ## ##
	0x03,0x60,0x00, //      ## ##
	0x01,0xc0,0x00, //       ###
	0x01,0xc0,0x00, //       ###
	0x00,0x80,0x00, //        #
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @3960 'W' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0xfe,0x3f,0x80, //#######   #######
	0xfe,0x3f,0x80, //#######   #######
	0x30,0x06,0x00, //  ##         ##
	0x30,0x06,0x00, //  ##         ##
	0x30,0x86,0x00, //  ##    #    ##
	0x19,0xcc,0x00, //   ##  ###  ##
	0x19,0xcc,0x00, //   ##  ###  ##
	0x1b,0x6c,0x00, //   ## ## ## ##
	0x1b,0x6c,0x00, //   ## ## ## ##
	0x1e,0x7c,0x00, //   ####  #####
	0x0e,0x38,0x00, //    ###   ###
	0x0e,0x38,0x00, //    ###   ###
	0x0c,0x18,0x00, //    ##     ##
	0x0c,0x18,0x00, //    ##     ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @4032 'X' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x7e,0x7e,0x00, // ######  ######
	0x7e,0x7e,0x00, // ######  ######
	0x18,0x18,0x00, //   ##      ##
	0x0c,0x30,0x00, //    ##    ##
	0x06,0x60,0x00, //     ##  ##
	0x03,0xc0,0x00, //      ####
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x03,0xc0,0x00, //      ####
	0x06,0x60,0x00, //     ##  ##
	0x0c,0x30,0x00, //    ##    ##
	0x18,0x18,0x00, //   ##      ##
	0x7e,0x7e,0x00, // ######  ######
	0x7e,0x7e,0x00, // ######  ######
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @4104 'Y' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x7c,0x7e,0x00, // #####   ######
	0x7c,0x7e,0x00, // #####   ######
	0x18,0x18,0x00, //   ##      ##
	0x0c,0x30,0x00, //    ##    ##
	0x06,0x60,0x00, //     ##  ##
	0x06,0x60,0x00, //     ##  ##
	0x03,0xc0,0x00, //      ####
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x0f,0xf0,0x00, //    ########
	0x0f,0xf0,0x00, //    ########
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @4176 'Z' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x1f,0xf8,0x00, //   ##########
	0x1f,0xf8,0x00, //   ##########
	0x18,0x18,0x00, //   ##      ##
	0x18,0x30,0x00, //   ##     ##
	0x18,0x60,0x00, //   ##    ##
	0x18,0xc0,0x00, //   ##   ##
	0x01,0x80,0x00, //       ##
	0x03,0x00,0x00, //      ##
	0x06,0x18,0x00, //     ##    ##
	0x0c,0x18,0x00, //    ##     ##
	0x18,0x18,0x00, //   ##      ##
	0x30,0x18,0x00, //  ##       ##
	0x3f,0xf8,0x00, //  ###########
	0x3f,0xf8,0x00, //  ###########
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @4248 '[' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x01,0xf0,0x00, //       #####
	0x01,0xf0,0x00, //       #####
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0xf0,0x00, //       #####
	0x01,0xf0,0x00, //       #####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @4320 '\' (17 pixels wide)
	0x18,0x00,0x00, //   ##
	0x18,0x00,0x00, //   ##
	0x1c,0x00,0x00, //   ###
	0x0c,0x00,0x00, //    ##
	0x0e,0x00,0x00, //    ###
	0x06,0x00,0x00, //     ##
	0x06,0x00,0x00, //     ##
	0x03,0x00,0x00, //      ##
	0x03,0x00,0x00, //      ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x00,0xc0,0x00, //        ##
	0x00,0xc0,0x00, //        ##
	0x00,0x60,0x00, //         ##
	0x00,0x60,0x00, //         ##
	0x00,0x70,0x00, //         ###
	0x00,0x30,0x00, //          ##
	0x00,0x38,0x00, //          ###
	0x00,0x18,0x00, //           ##
	0x00,0x18,0x00, //           ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @4392 ']' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x0f,0x80,0x00, //    #####
	0x0f,0x80,0x00, //    #####
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x0f,0x80,0x00, //    #####
	0x0f,0x80,0x00, //    #####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @4464 '^' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x80,0x00, //        #
	0x01,0xc0,0x00, //       ###
	0x03,0xe0,0x00, //      #####
	0x07,0x70,0x00, //     ### ###
	0x06,0x30,0x00, //     ##   ##
	0x0c,0x18,0x00, //    ##     ##
	0x18,0x0c,0x00, //   ##       ##
	0x10,0x04,0x00, //   #         #
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @4536 '_' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0xff,0xff,0x00, //################
	0xff,0xff,0x00, //################

	// @4608 '`' (17 pixels wide)
	0x00,0x00,0x00, //
	0x03,0x00,0x00, //      ##
	0x03,0x80,0x00, //      ###
	0x00,0xe0,0x00, //        ###
	0x00,0x60,0x00, //         ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @4680 'a' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x0f,0xc0,0x00, //    ######
	0x1f,0xe0,0x00, //   ########
	0x00,0x30,0x00, //          ##
	0x00,0x30,0x00, //          ##
	0x07,0xf0,0x00, //     #######
	0x1f,0xf0,0x00, //   #########
	0x38,0x30,0x00, //  ###     ##
	0x30,0x30,0x00, //  ##      ##
	0x30,0x70,0x00, //  ##     ###
	0x1f,0xfc,0x00, //   ###########
	0x0f,0xbc,0x00, //    ##### ####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @4752 'b' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x78,0x00,0x00, // ####
	0x78,0x00,0x00, // ####
	0x18,0x00,0x00, //   ##
	0x18,0x00,0x00, //   ##
	0x1b,0xe0,0x00, //   ## #####
	0x1f,0xf8,0x00, //   ##########
	0x1c,0x18,0x00, //   ###     ##
	0x18,0x0c,0x00, //   ##       ##
	0x18,0x0c,0x00, //   ##       ##
	0x18,0x0c,0x00, //   ##       ##
	0x18,0x0c,0x00, //   ##       ##
	0x18,0x0c,0x00, //   ##       ##
	0x1c,0x18,0x00, //   ###     ##
	0x7f,0xf8,0x00, // ############
	0x7b,0xe0,0x00, // #### #####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @4824 'c' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x03,0xec,0x00, //      ##### ##
	0x0f,0xfc,0x00, //    ##########
	0x1c,0x1c,0x00, //   ###     ###
	0x38,0x0c,0x00, //  ###       ##
	0x30,0x0c,0x00, //  ##        ##
	0x30,0x00,0x00, //  ##
	0x30,0x00,0x00, //  ##
	0x38,0x0c,0x00, //  ###       ##
	0x1c,0x1c,0x00, //   ###     ###
	0x0f,0xf8,0x00, //    #########
	0x03,0xf0,0x00, //      ######
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @4896 'd' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x78,0x00, //         ####
	0x00,0x78,0x00, //         ####
	0x00,0x18,0x00, //           ##
	0x00,0x18,0x00, //           ##
	0x07,0xd8,0x00, //     ##### ##
	0x1f,0xf8,0x00, //   ##########
	0x18,0x38,0x00, //   ##     ###
	0x30,0x18,0x00, //  ##       ##
	0x30,0x18,0x00, //  ##       ##
	0x30,0x18,0x00, //  ##       ##
	0x30,0x18,0x00, //  ##       ##
	0x30,0x18,0x00, //  ##       ##
	0x18,0x38,0x00, //   ##     ###
	0x1f,0xfe,0x00, //   ############
	0x07,0xde,0x00, //     ##### ####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @4968 'e' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x07,0xe0,0x00, //     ######
	0x1f,0xf8,0x00, //   ##########
	0x18,0x18,0x00, //   ##      ##
	0x30,0x0c,0x00, //  ##        ##
	0x3f,0xfc,0x00, //  ############
	0x3f,0xfc,0x00, //  ############
	0x30,0x00,0x00, //  ##
	0x30,0x00,0x00, //  ##
	0x18,0x0c,0x00, //   ##       ##
	0x1f,0xfc,0x00, //   ###########
	0x07,0xf0,0x00, //     #######
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @5040 'f' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x01,0xfc,0x00, //       #######
	0x03,0xfc,0x00, //      ########
	0x06,0x00,0x00, //     ##
	0x06,0x00,0x00, //     ##
	0x3f,0xf8,0x00, //  ###########
	0x3f,0xf8,0x00, //  ###########
	0x06,0x00,0x00, //     ##
	0x06,0x00,0x00, //     ##
	0x06,0x00,0x00, //     ##
	0x06,0x00,0x00, //     ##
	0x06,0x00,0x00, //     ##
	0x06,0x00,0x00, //     ##
	0x06,0x00,0x00, //     ##
	0x3f,0xf0,0x00, //  ##########
	0x3f,0xf0,0x00, //  ##########
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @5112 'g' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x07,0xde,0x00, //     ##### ####
	0x1f,0xfe,0x00, //   ############
	0x18,0x38,0x00, //   ##     ###
	0x30,0x18,0x00, //  ##       ##
	0x30,0x18,0x00, //  ##       ##
	0x30,0x18,0x00, //  ##       ##
	0x30,0x18,0x00, //  ##       ##
	0x30,0x18,0x00, //  ##       ##
	0x18,0x38,0x00, //   ##     ###
	0x1f,0xf8,0x00, //   ##########
	0x07,0xd8,0x00, //     ##### ##
	0x00,0x18,0x00, //           ##
	0x00,0x18,0x00, //           ##
	0x00,0x38,0x00, //          ###
	0x0f,0xf0,0x00, //    ########
	0x0f,0xc0,0x00, //    ######
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @5184 'h' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x78,0x00,0x00, // ####
	0x78,0x00,0x00, // ####
	0x18,0x00,0x00, //   ##
	0x18,0x00,0x00, //   ##
	0x1b,0xe0,0x00, //   ## #####
	0x1f,0xf0,0x00, //   #########
	0x1c,0x38,0x00, //   ###    ###
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x7e,0x7e,0x00, // ######  ######
	0x7e,0x7e,0x00, // ######  ######
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @5256 'i' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x1f,0x80,0x00, //   ######
	0x1f,0x80,0x00, //   ######
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x3f,0xfc,0x00, //  ############
	0x3f,0xfc,0x00, //  ############
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @5328 'j' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0xc0,0x00, //        ##
	0x00,0xc0,0x00, //        ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x1f,0xf0,0x00, //   #########
	0x1f,0xf0,0x00, //   #########
	0x00,0x30,0x00, //          ##
	0x00,0x30,0x00, //          ##
	0x00,0x30,0x00, //          ##
	0x00,0x30,0x00, //          ##
	0x00,0x30,0x00, //          ##
	0x00,0x30,0x00, //          ##
	0x00,0x30,0x00, //          ##
	0x00,0x30,0x00, //          ##
	0x00,0x30,0x00, //          ##
	0x00,0x30,0x00, //          ##
	0x00,0x30,0x00, //          ##
	0x00,0x70,0x00, //         ###
	0x1f,0xe0,0x00, //   ########
	0x1f,0x80,0x00, //   ######
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @5400 'k' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x3c,0x00,0x00, //  ####
	0x3c,0x00,0x00, //  ####
	0x0c,0x00,0x00, //    ##
	0x0c,0x00,0x00, //    ##
	0x0c,0xf8,0x00, //    ##  #####
	0x0c,0xf8,0x00, //    ##  #####
	0x0c,0xc0,0x00, //    ##  ##
	0x0d,0x80,0x00, //    ## ##
	0x0f,0x80,0x00, //    #####
	0x0f,0x00,0x00, //    ####
	0x0f,0x80,0x00, //    #####
	0x0d,0xc0,0x00, //    ## ###
	0x0c,0xe0,0x00, //    ##  ###
	0x3c,0x7c,0x00, //  ####   #####
	0x3c,0x7c,0x00, //  ####   #####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @5472 'l' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x1f,0x80,0x00, //   ######
	0x1f,0x80,0x00, //   ######
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x3f,0xfc,0x00, //  ############
	0x3f,0xfc,0x00, //  ############
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @5544 'm' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0xf7,0x78,0x00, //#### ### ####
	0xff,0xfc,0x00, //##############
	0x39,0xcc,0x00, //  ###  ###  ##
	0x31,0x8c,0x00, //  ##   ##   ##
	0x31,0x8c,0x00, //  ##   ##   ##
	0x31,0x8c,0x00, //  ##   ##   ##
	0x31,0x8c,0x00, //  ##   ##   ##
	0x31,0x8c,0x00, //  ##   ##   ##
	0x31,0x8c,0x00, //  ##   ##   ##
	0xfd,0xef,0x00, //###### #### ####
	0xfd,0xef,0x00, //###### #### ####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @5616 'n' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x7b,0xe0,0x00, // #### #####
	0x7f,0xf0,0x00, // ###########
	0x1c,0x38,0x00, //   ###    ###
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x7e,0x7e,0x00, // ######  ######
	0x7e,0x7e,0x00, // ######  ######
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @5688 'o' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x03,0xc0,0x00, //      ####
	0x0f,0xf0,0x00, //    ########
	0x1c,0x38,0x00, //   ###    ###
	0x38,0x1c,0x00, //  ###      ###
	0x30,0x0c,0x00, //  ##        ##
	0x30,0x0c,0x00, //  ##        ##
	0x30,0x0c,0x00, //  ##        ##
	0x38,0x1c,0x00, //  ###      ###
	0x1c,0x38,0x00, //   ###    ###
	0x0f,0xf0,0x00, //    ########
	0x03,0xc0,0x00, //      ####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @5760 'p' (17 pixels wide)
	0x00, 0x00, 0x00, //                  
	0x00, 0x00, 0x00, //                  
	0x00, 0x00, 0x00, //                  
	0x00, 0x00, 0x00, //                  
	0x00, 0x00, 0x00, //                  
	0x00, 0x00, 0x00, //                  
	0x7B, 0xE0, 0x00, //  #### #####      
	0x7F, 0xF8, 0x00, //  ############    
	0x1C, 0x18, 0x00, //    ###     ##    
	0x18, 0x0C, 0x00, //    ##       ##   
	0x18, 0x0C, 0x00, //    ##       ##   
	0x18, 0x0C, 0x00, //    ##       ##   
	0x18, 0x0C, 0x00, //    ##       ##   
	0x18, 0x0C, 0x00, //    ##       ##   
	0x1C, 0x18, 0x00, //    ###     ##    
	0x1F, 0xF8, 0x00, //    ##########    
	0x1B, 0xE0, 0x00, //    ## #####      
	0x18, 0x00, 0x00, //    ##            
	0x18, 0x00, 0x00, //    ##            
	0x18, 0x00, 0x00, //    ##            
	0x7F, 0x00, 0x00, //  #######         
	0x7F, 0x00, 0x00, //  #######         
	0x00, 0x00, 0x00, //                  
	0x00, 0x00, 0x00, //                  

	// @5832 'q' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x07,0xde,0x00, //     ##### ####
	0x1f,0xfe,0x00, //   ############
	0x18,0x38,0x00, //   ##     ###
	0x30,0x18,0x00, //  ##       ##
	0x30,0x18,0x00, //  ##       ##
	0x30,0x18,0x00, //  ##       ##
	0x30,0x18,0x00, //  ##       ##
	0x30,0x18,0x00, //  ##       ##
	0x18,0x38,0x00, //   ##     ###
	0x1f,0xf8,0x00, //   ##########
	0x07,0xd8,0x00, //     ##### ##
	0x00,0x18,0x00, //           ##
	0x00,0x18,0x00, //           ##
	0x00,0x18,0x00, //           ##
	0x00,0xfe,0x00, //        #######
	0x00,0xfe,0x00, //        #######
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @5904 'r' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x3e,0x78,0x00, //  #####  ####
	0x3e,0xfc,0x00, //  ##### ######
	0x07,0xcc,0x00, //     #####  ##
	0x07,0x00,0x00, //     ###
	0x06,0x00,0x00, //     ##
	0x06,0x00,0x00, //     ##
	0x06,0x00,0x00, //     ##
	0x06,0x00,0x00, //     ##
	0x06,0x00,0x00, //     ##
	0x3f,0xf0,0x00, //  ##########
	0x3f,0xf0,0x00, //  ##########
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @5976 's' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x07,0xf8,0x00, //     ########
	0x0f,0xf8,0x00, //    #########
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x1f,0x80,0x00, //   ######
	0x0f,0xf0,0x00, //    ########
	0x00,0xf8,0x00, //        #####
	0x18,0x18,0x00, //   ##      ##
	0x18,0x38,0x00, //   ##     ###
	0x1f,0xf0,0x00, //   #########
	0x1f,0xe0,0x00, //   ########
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @6048 't' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x0c,0x00,0x00, //    ##
	0x0c,0x00,0x00, //    ##
	0x0c,0x00,0x00, //    ##
	0x0c,0x00,0x00, //    ##
	0x3f,0xf0,0x00, //  ##########
	0x3f,0xf0,0x00, //  ##########
	0x0c,0x00,0x00, //    ##
	0x0c,0x00,0x00, //    ##
	0x0c,0x00,0x00, //    ##
	0x0c,0x00,0x00, //    ##
	0x0c,0x00,0x00, //    ##
	0x0c,0x00,0x00, //    ##
	0x0c,0x1c,0x00, //    ##     ###
	0x07,0xfc,0x00, //     #########
	0x03,0xf0,0x00, //      ######
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @6120 'u' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x78,0x78,0x00, // ####    ####
	0x78,0x78,0x00, // ####    ####
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x38,0x00, //   ##     ###
	0x0f,0xfe,0x00, //    ###########
	0x07,0xde,0x00, //     ##### ####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @6192 'v' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x7c,0x3e,0x00, // #####    #####
	0x7c,0x3e,0x00, // #####    #####
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x0c,0x30,0x00, //    ##    ##
	0x0c,0x30,0x00, //    ##    ##
	0x06,0x60,0x00, //     ##  ##
	0x06,0x60,0x00, //     ##  ##
	0x07,0xe0,0x00, //     ######
	0x03,0xc0,0x00, //      ####
	0x03,0xc0,0x00, //      ####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @6264 'w' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x78,0x3c,0x00, // ####     ####
	0x78,0x3c,0x00, // ####     ####
	0x31,0x18,0x00, //  ##   #   ##
	0x33,0x98,0x00, //  ##  ###  ##
	0x33,0x98,0x00, //  ##  ###  ##
	0x1a,0xb0,0x00, //   ## # # ##
	0x1e,0xf0,0x00, //   #### ####
	0x1e,0xf0,0x00, //   #### ####
	0x1c,0x60,0x00, //   ###   ##
	0x0c,0x60,0x00, //    ##   ##
	0x0c,0x60,0x00, //    ##   ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @6336 'x' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x3e,0x7c,0x00, //  #####  #####
	0x3e,0x7c,0x00, //  #####  #####
	0x0c,0x30,0x00, //    ##    ##
	0x06,0x60,0x00, //     ##  ##
	0x03,0xc0,0x00, //      ####
	0x01,0x80,0x00, //       ##
	0x03,0xc0,0x00, //      ####
	0x06,0x60,0x00, //     ##  ##
	0x0c,0x30,0x00, //    ##    ##
	0x3e,0x7c,0x00, //  #####  #####
	0x3e,0x7c,0x00, //  #####  #####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @6408 'y' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x7e,0x1f,0x00, // ######    #####
	0x7e,0x1f,0x00, // ######    #####
	0x18,0x0c,0x00, //   ##       ##
	0x0c,0x18,0x00, //    ##     ##
	0x0c,0x18,0x00, //    ##     ##
	0x06,0x30,0x00, //     ##   ##
	0x06,0x30,0x00, //     ##   ##
	0x03,0x60,0x00, //      ## ##
	0x03,0xe0,0x00, //      #####
	0x01,0xc0,0x00, //       ###
	0x00,0xc0,0x00, //        ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x03,0x00,0x00, //      ##
	0x3f,0xc0,0x00, //  ########
	0x3f,0xc0,0x00, //  ########
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @6480 'z' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x1f,0xf8,0x00, //   ##########
	0x1f,0xf8,0x00, //   ##########
	0x18,0x30,0x00, //   ##     ##
	0x18,0x60,0x00, //   ##    ##
	0x00,0xc0,0x00, //        ##
	0x01,0x80,0x00, //       ##
	0x03,0x00,0x00, //      ##
	0x06,0x18,0x00, //     ##    ##
	0x0c,0x18,0x00, //    ##     ##
	0x1f,0xf8,0x00, //   ##########
	0x1f,0xf8,0x00, //   ##########
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @6552 '{' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0xe0,0x00, //        ###
	0x01,0xe0,0x00, //       ####
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x03,0x80,0x00, //      ###
	0x07,0x00,0x00, //     ###
	0x03,0x80,0x00, //      ###
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0xe0,0x00, //       ####
	0x00,0xe0,0x00, //        ###
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @6624 '|' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @6696 '}' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x07,0x00,0x00, //     ###
	0x07,0x80,0x00, //     ####
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0xc0,0x00, //       ###
	0x00,0xe0,0x00, //        ###
	0x01,0xc0,0x00, //       ###
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x01,0x80,0x00, //       ##
	0x07,0x80,0x00, //     ####
	0x07,0x00,0x00, //     ###
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @6768 '~' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x0e,0x00,0x00, //    ###
	0x1f,0x18,0x00, //   #####   ##
	0x3b,0xb8,0x00, //  ### ### ###
	0x31,0xf0,0x00, //  ##   #####
	0x00,0xe0,0x00, //        ###
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @0 ' ' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @0 ' ' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x0c,0x30,0x00, //    ##    ##
	0x0c,0x30,0x00, //    ##    ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x0f,0xc0,0x00, //    ######
	0x1f,0xe0,0x00, //   ########
	0x00,0x30,0x00, //          ##
	0x00,0x30,0x00, //          ##
	0x07,0xf0,0x00, //     #######
	0x1f,0xf0,0x00, //   #########
	0x38,0x30,0x00, //  ###     ##
	0x30,0x30,0x00, //  ##      ##
	0x30,0x70,0x00, //  ##     ###
	0x1f,0xfc,0x00, //   ###########
	0x0f,0xbc,0x00, //    ##### ####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @0 ' ' (17 pixels wide)
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x00,0x00,0x00, //
	0x1f,0x80,0x00, //   ######
	0x1f,0xc0,0x00, //   #######
	0x01,0xc0,0x00, //       ###
	0x03,0x60,0x00, //      ## ##
	0x03,0x60,0x00, //      ## ##
	0x06,0x30,0x00, //     ##   ##
	0x06,0x30,0x00, //     ##   ##
	0x0c,0x30,0x00, //    ##    ##
	0x0f,0xf8,0x00, //    #########
	0x1f,0xf8,0x00, //   ##########
	0x18,0x0c,0x00, //   ##       ##
	0x30,0x0c,0x00, //  ##        ##
	0xfc,0x7f,0x00, //######   #######
	0xfc,0x7f,0x00, //######   #######
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @0 ' ' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x0c,0x30,0x00, //    ##    ##
	0x0c,0x30,0x00, //    ##    ##
	0x00,0x00,0x00, //
	0x03,0xc0,0x00, //      ####
	0x0f,0xf0,0x00, //    ########
	0x1c,0x38,0x00, //   ###    ###
	0x38,0x1c,0x00, //  ###      ###
	0x30,0x0c,0x00, //  ##        ##
	0x30,0x0c,0x00, //  ##        ##
	0x30,0x0c,0x00, //  ##        ##
	0x38,0x1c,0x00, //  ###      ###
	0x1c,0x38,0x00, //   ###    ###
	0x0f,0xf0,0x00, //    ########
	0x03,0xc0,0x00, //      ####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @0 ' ' (17 pixels wide)
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x00,0x00,0x00, //
	0x03,0xc0,0x00, //      ####
	0x0f,0xf0,0x00, //    ########
	0x1c,0x38,0x00, //   ###    ###
	0x18,0x18,0x00, //   ##      ##
	0x38,0x1c,0x00, //  ###      ###
	0x30,0x0c,0x00, //  ##        ##
	0x30,0x0c,0x00, //  ##        ##
	0x30,0x0c,0x00, //  ##        ##
	0x30,0x0c,0x00, //  ##        ##
	0x38,0x1c,0x00, //  ###      ###
	0x18,0x18,0x00, //   ##      ##
	0x1c,0x38,0x00, //   ###    ###
	0x0f,0xf0,0x00, //    ########
	0x03,0xc0,0x00, //      ####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @0 ' ' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x30,0x30,0x00, //  ##      ##
	0x30,0x30,0x00, //  ##      ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x78,0x78,0x00, // ####    ####
	0x78,0x78,0x00, // ####    ####
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x38,0x00, //   ##     ###
	0x0f,0xfe,0x00, //    ###########
	0x07,0xde,0x00, //     ##### ####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @0 ' ' (17 pixels wide)
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x00,0x00,0x00, //
	0x7e,0x7e,0x00, // ######  ######
	0x7e,0x7e,0x00, // ######  ######
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x0c,0x30,0x00, //    ##    ##
	0x0f,0xf0,0x00, //    ########
	0x03,0xc0,0x00, //      ####
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //

	// @0 ' ' (17 pixels wide)
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x00,0x00,0x00, //
	0x0f,0x80,0x00, //    #####
	0x1f,0xe0,0x00, //   ########
	0x18,0x70,0x00, //   ##    ###
	0x18,0x30,0x00, //   ##     ##
	0x18,0x30,0x00, //   ##     ##
	0x18,0x60,0x00, //   ##    ##
	0x1f,0xc0,0x00, //   #######
	0x1f,0x00,0x00, //   #####
	0x19,0xc0,0x00, //   ##  ###
	0x18,0x70,0x00, //   ##    ###
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x18,0x00, //   ##      ##
	0x18,0x30,0x00, //   ##     ##
	0x18,0xe0,0x00, //   ##   ###
	0x1f,0x80,0x00, //   ######
	0x1e,0x00,0x00, //   ####
	0x18,0x00,0x00, //   ##
	0x18,0x00,0x00, //   ##
	0x00,0x00,0x00, //
	0x00,0x00,0x00 //
};

sFONT Font24 = {
  Font24_Table,
  17, /* Width */
  24, /* Height */
};

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
